#ifndef VIDEOCOLLECTOR_HPP
#define VIDEOCOLLECTOR_HPP

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qlist.h>

#include "VideoDevice.h"

class CVideoCollector
{
private:
   static CVideoCollector *Collector;
   QList<CVideoDevice> Devices;
   
   CVideoCollector();
   void Scan();

public:
   static CVideoCollector *Instance();

   int NumberOfVideoDevices() const;
   CVideoDevice *GetVideoDevice(int n);
};

#endif
